- inserted correct date.
[ginac.git] / INSTALL
diff --git a/INSTALL b/INSTALL
index 9dba753cf3119f8bb7c6f617a59e6e3db936b7bd..f4d77cd6f85b7e07504e3ced431e3c9e28d4f277 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -1,11 +1,24 @@
 Prerequisites
 =============
 
-GiNaC requires the CLN library by Bruno Haible, available at
-<ftp://ftp.santafe.eu/pub/gnu/> or <ftp://ftp.ilog.fr/pub/Users/haible/gnu/>.
-You will also need a good C++ compiler adhering to the ANSI standard (we 
-used gcc for development so if you have a different compiler you are on 
-your own).
+GiNaC requires the CLN library by Bruno Haible, available at either
+one of the following FTP-sites:
+  * <ftp://ftp.santafe.edu/pub/gnu/>,
+  * <ftp://ftp.ilog.fr/pub/Users/haible/gnu/> or
+  * <ftp://ftpthep.physik.uni-mainz.de/pub/gnu/>.
+You will also need a decent ANSI-compliant C++-compiler.  We use
+`post-EGCS' GCC, i.e GCC >= 2.95 for development so if you have a
+different compiler you are on your own.  Note that you may have to use
+the same compiler you compiled CLN with because of differing
+name-mangling schemes.
+
+Optionally, GiNaC may work together with Masaharu Goto's C++
+interpreter cint (which requires that you register for commercial
+use).  You may obtain it from
+  * <ftp://root.cern.ch/root/>.
+Install it by following the instructions included in Cint's
+distribution before trying to compile GiNaC-cint.  (See section
+`Working with the Cint C++ interpreter' below.)
 
 
 Installation
@@ -54,7 +67,30 @@ make check    |  ~2m   |  ~2m   |  ~7m   | mostly due to compilation
 Problems with CLN
 =================
 
-You should use at least CLN V1.0.2, since all earlier ones are
-somewhat buggy.  Even V1.0.1 has a few problems and GiNaC will not
-support older versions.  Please install it properly on your system
-before continuing with GiNaC.
+You should use at least CLN V1.0.3, since during the development of
+GiNaC various bugs have been discovered and fixed in earlier versions.
+To protect you, the "configure" script checks for a feature that was
+added in V1.0.3 so it won't continue with earlier versions anyhow.
+Please install CLN properly on your system before continuing with
+GiNaC.
+
+
+Working with the Cint C++ interpreter
+=====================================
+
+The interface to the Cint C++ interpreter is currently in an alpha
+state.  Please see <http://root.cern.ch/root/Cint.html> to learn about
+Cint and install it before installing ginaccint.  For the tool
+makecint to work properly it must know where Cint has its system
+directory.  This is usually done by exporting $CINTSYSDIR to point to
+the proper place.  With GiNaC you may either try to export that
+variable and type
+ $ ./configure --with-cint
+or specify it on the command line saying
+ $ ./configure --with-cint=/my/path/to/cintsysdir
+Good luck!
+
+  Known to work with:  |  Known not to work with:   
+-----------------------+----------------------------
+  Cint 5.14.25         |  Cint 5.14.29              
+  Cint 5.14.26         |